%global pypi_name openpyxl
%global sum Python library to read/write Excel 2010 xlsx/xlsm files
%global desc openpyxl is a Python library to read/write Excel 2010 xlsx/xlsm/xltx/xltm files.\
\
It was born from lack of existing library to read/write natively from Python the\
Office Open XML format.

Name:           python-%{pypi_name}
Version:        2.4.6
Release:        1%{?dist}
Summary:        %{sum}

License:        MIT and Python
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://pypi.python.org/packages/d9/d9/9873b9fed99c80c685aca51754c21c7f5b80fcba17268a878752a1c4f1ac/openpyxl-2.4.6.tar.gz

BuildArch:      noarch

%description
%{desc}

%package -n     python2-%{pypi_name}
BuildRequires:  python2-devel
Requires:       python2-jdcal
Requires:       python2-et_xmlfile
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
%{desc}


%package -n     python3-%{pypi_name}
Summary:        %{sum}
BuildRequires:  python3-devel
Requires:       python3-jdcal
Requires:       python3-et_xmlfile
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{desc}


%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf *.egg-info
# Remove scratchpad module. It is included in the pypi release but is not
# present in the sources in bitbucket.
rm -r scratchpad


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


# No tests


%files -n python2-%{pypi_name}
%license LICENCE.rst
%doc README.rst AUTHORS.rst
%{python2_sitelib}/%{pypi_name}-%{version}-py%{python2_version}.egg-info/
%{python2_sitelib}/%{pypi_name}/

%files -n python3-%{pypi_name}
%license LICENCE.rst
%doc README.rst AUTHORS.rst
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/%{pypi_name}/

%changelog
* Sun Apr 16 2017 Julien Enselme <jujens@jujens.eu> - 2.4.6-1
- Update to 2.4.6

* Wed Mar 08 2017 Julien Enselme <jujens@jujens.eu> - 2.4.5-1
- Update to 2.4.5

* Fri Feb 24 2017 Julien Enselme <jujens@jujens.eu> - 2.4.4-1
- Update to 2.4.4

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 2.4.0-2
- Rebuild for Python 3.6

* Sun Sep 18 2016 Julien Enselme <jujens@jujens.eu> - 2.4.0-1
- Update to 2.4.0

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Nov 22 2015 Julien Enselme <jujens@jujens.eu> - 2.3.1-1
- Update to 2.3.1
- Correct license
- Remove check section

* Mon Nov 9 2015 Julien Enselme <jujens@jujens.eu> - 2.3.0-1
- Inital package
